<?php

namespace Lc\ShopBundle\Price\Services;

use Doctrine\Common\Collections\Collection;
use Lc\ShopBundle\Context\OrderProductInterface;
use Lc\ShopBundle\Context\OrderShopInterface;
use Lc\ShopBundle\Context\ProductFamilyInterface;
use Lc\ShopBundle\Context\ProductInterface;
use Lc\ShopBundle\Context\ProductPropertyInterface;
use Lc\ShopBundle\Context\ReductionCatalogInterface;

class ProductPriceUtils
{
        use PriceUtilsTrait ;

        public function getPrice(ProductPropertyInterface $product)
        {
                if ($product->getBehaviorPriceInherited() == 'by-piece') {
                        return $product->getPriceInherited();
                }
                elseif ($product->getBehaviorPriceInherited() == 'by-reference-unit') {
                        if ($product->getQuantityInherited() > 0) {
                                return $product->getPriceByRefUnitInherited() * ($product->getQuantityInherited() / $product->getUnitInherited()->getCoefficient());
                        }
                }
        }

        public function getPriceWithTax(ProductPropertyInterface $product)
        {

        }

        public function getPriceWithTaxAndReduction(ProductPropertyInterface $product)
        {

        }

        public function getPriceByRefUnit(ProductPropertyInterface $product)
        {

        }

        public function getPriceByRefUnitWithTax(ProductPropertyInterface $product)
        {

        }

        public function getPriceByRefUnitWithTaxAndReduction(ProductPropertyInterface $product)
        {

        }
}

